POST /referrers
Registers a new referrer for collection tracking. Requires signature verification to ensure the wallet owner is registering themselves.

Request Body required

application/json
referrer_id string REQUIRED
Unique referrer identifier (lowercase alphanumeric)
wallet_address string REQUIRED
Referrer wallet address
message string REQUIRED
Message that was signed
signature string REQUIRED
EIP-191 signature of the message

Responses

200 Referrer registered successfully
application/json
success boolean
message string
Success message
400 Bad Request - Missing required fields or invalid format
403 Forbidden - Invalid signature
409 Conflict - Referrer already exists
curl -X POST 'https://createkit.b3.fun/referrers' \
  -H 'Content-Type: application/json' \
  -d '{
  "referrer_id": "string",
  "wallet_address": "string",
  "message": "string",
  "signature": "string"
}'
const response = await fetch('https://createkit.b3.fun/referrers', {
  method: 'POST',
  headers: {
      "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "referrer_id": "string",
    "wallet_address": "string",
    "message": "string",
    "signature": "string"
  })
});

const data = await response.json();
console.log(data);
import requests

response = requests.post('https://createkit.b3.fun/referrers', json={
  "referrer_id": "string",
  "wallet_address": "string",
  "message": "string",
  "signature": "string"
})
print(response.json())
200 Response
{
  "success": true,
  "message": "<string>"
}
POST /referrers
Ask a question... ⌘I